using Decimation.Lib.Items;
using Decimation.Lib.Util;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Weapons
{
    internal class TheGreatwoodSword : DecimationWeapon
    {
        protected override string ItemName => "The Greatwood Sword";
        protected override string ItemTooltip => "Who needs metal?";
        protected override int Damages => 20;

        protected override void InitWeapon()
        {
            item.width = 44;
            item.height = 44;
            item.useTime = 25;
            item.useAnimation = 25;
            item.knockBack = 5;
            this.item.value = Item.buyPrice(silver: 40);
            item.rare = Rarity.Green.GetRarityValue();
            item.autoReuse = true;
            this.item.expert = false;
        }

        protected override ModRecipe GetRecipe()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, TileID.Anvils, true);

            recipe.AddIngredient(ItemID.WoodenSword);
            recipe.AddIngredient(ItemID.BorealWoodSword);
            recipe.AddIngredient(ItemID.ShadewoodSword);
            recipe.AddIngredient(ItemID.PalmWoodSword);

            return recipe;
        }
    }
}